Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgCoordinateSystemEllipsoid Class Reference

Inherits MgGuardDisposable.

List of all members.

## Public Member Functions
virtual MgCoordinateSystemEllipsoid * | CreateClone ()=0
virtual double | EccentricityToFlatteningRatio (double dEccent)=0
virtual double | EquatorialRadiusFromPolarRadiusFlatteningRatio (double dPolarRadius, double dFlatteningRatio)=0
virtual double | FlatteningRatioFromRadii (double dEquatorialRadius, double dPolarRadius)=0
virtual double | FlatteningRatioToEccentricity (double dFlat)=0
virtual INT16 | GetAge ()=0
virtual MgCoordinateSystemCatalog * | GetCatalog ()=0
virtual STRING | GetCode ()=0
virtual STRING | GetDescription ()=0
virtual double | GetEccentricity ()=0
virtual double | GetEquatorialRadius ()=0
virtual double | GetFlatteningRatio ()=0
virtual double | GetFlatteningRatioMax ()=0
virtual double | GetFlatteningRatioMin ()=0
virtual double | GetGreatCircleAzimuth (double dLongitude1, double dLatitude1, double dLongitude2, double dLatitude2)=0
virtual double | GetGreatCircleDistance (double dLongitude1, double dLatitude1, double dLongitude2, double dLatitude2)=0
virtual STRING | GetGroup ()=0
virtual double | GetPolarRadius ()=0
virtual double | GetRadiusMax ()=0
virtual double | GetRadiusMin ()=0
virtual STRING | GetSource ()=0
virtual bool | IsEncrypted ()=0
virtual bool | IsLegalCode (CREFSTRING sCode)=0
virtual bool | IsLegalDescription (CREFSTRING sDesc)=0
virtual bool | IsLegalFlatteningRatio (double dFlat)=0
virtual bool | IsLegalGroup (CREFSTRING sGroup)=0
virtual bool | IsLegalRadius (double dRadius)=0
virtual bool | IsLegalSource (CREFSTRING sSource)=0
virtual bool | IsProtected ()=0
virtual bool | IsSameAs (MgGuardDisposable *pDef)=0
virtual bool | IsUsable ()=0
virtual bool | IsValid ()=0
virtual double | PolarRadiusFromEquatorialRadiusFlatteningRatio (double dEquatorialRadius, double dFlatteningRatio)=0
virtual void | SetCode (CREFSTRING sCode)=0
virtual void | SetDescription (CREFSTRING sDesc)=0
virtual void | SetEncryptMode (bool bIsEncrypted)=0
virtual void | SetGroup (CREFSTRING sGroup)=0
virtual void | SetProtectMode (bool bIsProtected)=0
virtual void | SetRadii (double dEquatorialRadius, double dPolarRadius)=0
virtual void | SetSource (CREFSTRING sSource)=0

Comments or suggestions? Send us feedback.